BizKitHub
DocsAPI ReferenceTime Tracker/bff/time-tracker/{id}
patchdeleteTime TrackerAdmin BFF

/bff/time-tracker/{id}

Edit any field. Refuses when the entry is already invoiced or in a locked period.

TimeTrackerpatchBffTime-trackerById

Parameters

1 path · JSON body

Path parameters

· 1
idstringRequired
Exampleexample_id

Request body

application/json
projectIdnumber | nullOptional
One of 2:
Variant 1
number
Variant 2
null
workDatestring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
minutesnumberOptional
notestring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
clientNotestring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
billablebooleanOptional
writeOffbooleanOptional
writeOffReasonstring | nullOptional
One of 2:
Variant 1
string
Variant 2
null

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

PATCH /bff/time-tracker/{id}

patch
curl -X PATCH "https://api.bizkithub.com/bff/time-tracker/example_id" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "minutes": 0,
  "billable": false,
  "writeOff": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key